# wxDataViewModelNotifier Class Reference
[wxDataViewCtrl Related Classes]

`#include <wx/dataview.h>`

## Detailed Description

A wxDataViewModelNotifier instance is owned by a wxDataViewModel and mirrors its notification interface.

See the documentation of that class for further information.

##

Library: wxAdvanced

Category: wxDataViewCtrl Related Classes

## Public Member Functions
| wxDataViewModelNotifier ()
| Constructor.
virtual | ~wxDataViewModelNotifier ()
| Destructor.
virtual bool | Cleared ()=0
| Called by owning model.
wxDataViewModel * | GetOwner () const
| Get owning wxDataViewModel.
virtual bool | ItemAdded (const wxDataViewItem &parent, const wxDataViewItem &item)=0
| Called by owning model.
virtual bool | ItemChanged (const wxDataViewItem &item)=0
| Called by owning model.
virtual bool | ItemDeleted (const wxDataViewItem &parent, const wxDataViewItem &item)=0
| Called by owning model.
virtual bool | ItemsAdded (const wxDataViewItem &parent, const wxDataViewItemArray &items)
| Called by owning model.
virtual bool | ItemsChanged (const wxDataViewItemArray &items)
| Called by owning model.
virtual bool | ItemsDeleted (const wxDataViewItem &parent, const wxDataViewItemArray &items)
| Called by owning model.
virtual void | Resort ()=0
| Called by owning model.
void | SetOwner (wxDataViewModel *owner)
| Set owner of this notifier.
virtual bool | ValueChanged (const wxDataViewItem &item, unsigned int col)=0
| Called by owning model.

List of all members.

## Constructor & Destructor Documentation

wxDataViewModelNotifier::wxDataViewModelNotifier | ( |  | ) |

Constructor.

virtual wxDataViewModelNotifier::~wxDataViewModelNotifier | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual bool wxDataViewModelNotifier::Cleared | ( |  | ) | `[pure virtual]`

Called by owning model.

wxDataViewModel* wxDataViewModelNotifier::GetOwner | ( |  | ) | const

Get owning wxDataViewModel.

virtual bool wxDataViewModelNotifier::ItemAdded | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItem & | item |
| ) |  |  | `[pure virtual]`

Called by owning model.

virtual bool wxDataViewModelNotifier::ItemChanged | ( | const wxDataViewItem & | item | ) | `[pure virtual]`

Called by owning model.

virtual bool wxDataViewModelNotifier::ItemDeleted | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItem & | item |
| ) |  |  | `[pure virtual]`

Called by owning model.

virtual bool wxDataViewModelNotifier::ItemsAdded | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItemArray & | items |
| ) |  |  | `[virtual]`

Called by owning model.

virtual bool wxDataViewModelNotifier::ItemsChanged | ( | const wxDataViewItemArray & | items | ) | `[virtual]`

Called by owning model.

virtual bool wxDataViewModelNotifier::ItemsDeleted | ( | const wxDataViewItem & | parent,
|  | const wxDataViewItemArray & | items |
| ) |  |  | `[virtual]`

Called by owning model.

virtual void wxDataViewModelNotifier::Resort | ( |  | ) | `[pure virtual]`

Called by owning model.

void wxDataViewModelNotifier::SetOwner | ( | wxDataViewModel * | owner | ) |

Set owner of this notifier.

Used internally.

virtual bool wxDataViewModelNotifier::ValueChanged | ( | const wxDataViewItem & | item,
|  | unsigned int | col |
| ) |  |  | `[pure virtual]`

Called by owning model.

|  | [ top ]